package com.qmth.jkserver.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * @Description: 数据库映射类字段校验注解
 * @Author: CaoZixuan
 * @Date: 2021-05-11
 */
@Retention(RetentionPolicy.RUNTIME) //定义注解运行策略
public @interface DBVerify {
    String value();

    boolean required() default false;

    int length() default 0; //属性接收长度限制默认0,为0的不校验长度
}
